#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);
    int t;
    cin >> t;
    while(t--){
        int n,m;
        cin >> n >> m;
        if(n != m){
            cout << -1 << '\n';
            continue;
        }
        vector<int> sor(n+1,0);

        for(int i=1; i<=n;i++){
            cout << 1 << ' ';
        }
        cout << endl;
        for(int i=1; i <=n-1;i++){
            sor[1] = 1;
            sor[n-i+1] = 1;
            for(int j = 1; j<=n;j++){
                cout << sor[j] << ' ';
            }
            cout << endl;
        }


    }
    return 0;
}